Subject: Two Questions about LSP-ping/traceroute (RFC 4379)

From: "Asaf Henig" <[email-masked]>
Date: Tue, 31 Oct 2006 11:50:46 +0200

1) How should LSP-ping deal with PHP mode (penultimate-hop-popping) ?

Suppose I am sending an mpls echo request packet to check a regular lsp and the packet is sent with the proper label X (shimmed between L2 and L3) and a FEC Stack TLV which includes a LDP-IpV4 sub-tlv.
This packet may reach its destination, some egress LER Y, without any shimmed label due to the use of 
PHP mode. Section 4.2 in RFC 4379 suggest that we use Nil-FEC sub-TLV to account for the missing Label that was popped. The question is which LSR insert this Nil-FEC. Note that the LER that initiated the echo-request doesn't know in advance if the label is going to be popped at the penultimate LSR. Moreover the penultimate LSR it self cannot add this FEC since it has no trigger to process the packet as he recieves a regular labeled packet and simply performs a popping and forwarding procedures. ?
It is furthermore unclear wether in this case we should also use Explicite Null label (label 0) or not?. 

2) Checking Pseudowires (Virtual-Circuits) using mpls-Ping.

Though regular mpls-ping, as mentioned in RFC 4379, supports the checking of a pseudowire using the proper sub-tlv FECs and labels, some vendors have decided to use VCCV (draft-ietf-pwe3-vccv) for such checking.
It is unclear to me wether Interoperability here will work. In otherwords, if one vendor, for example,  sends a regular FEC128 mpls-echo-request packet (without signaling VCCV first) to a vendor supporting VCCV is this packet going to be processed and would echo-reply be sent ?.

Thanks for any help.

Asaf Henig 
MRV communications.